Morale API - Authentication

Authentication

Each request made through the API must be accompanied by your API credentials. The authentication is implemented as HTTP basic authentication.

Your HTTP basic authentication username is your account subdomain.

Your HTTP basic authentication password is your user API key.

All requests should occur over the SSL/HTTPS protocol. For most API requests, your subdomain is also required for each API request, except where noted.

In order to retrieve your API key, you can sign in to any account through the web site and generate an API key within your profile page.

Api_key_screenshot

Please treat your API key as a password since it can be used to access your account over the API.

Retrieving your API key using your email address and password

Your applications can retrieve a user's API key using their email address and password they use to sign into the system. This will allow your application to ask for an email address and password instead of their API key.

API :: Authentication

in

Input Parameters
  • email The email address of the user who is logging on
  • password The password of the user who is logging on
Output Parameters
  • api_key The unique api key of the user who has logged on
Example

request

curl -data "email=api@teammorale.com&password=TestAPI" https://api-test.teammorale.com/api/v1/in

response

{                              
  "api_key":"XfADs6yw0qshq2Svaf"
}